Package org.spongepowered.asm.mixin.transformer

## Class ActivityStack.Activity

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ActivityStack.Activity

All Implemented Interfaces:
  `IActivityContext.IActivity`

Enclosing class:
  ActivityStack

    public class ActivityStack.Activity
    extends java.lang.Object
    implements IActivityContext.IActivity

An activity node in the activity stack (yes it's actually a doubly-linked list).

### Field Summary

Fields
`java.lang.String` `description` Description of this activity

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append​(java.lang.String text)` Append text to the activity description
`void` `append​(java.lang.String textFormat, java.lang.Object... args)` Append text to the activity description
`void` `end()` End this activity and remove it (and any descendants)
`void` `next​(java.lang.String description)` End this activity (and any descendants) and begin the next activity using the same activity handle
`void` `next​(java.lang.String descriptionFormat, java.lang.Object... args)` End this activity (and any descendants) and begin the next activity using the same activity handle

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### description

    public java.lang.String description

Description of this activity

### Method Detail

#### append

    public void append​(java.lang.String text)

Append text to the activity description

Specified by:
  `append` in interface `IActivityContext.IActivity`
Parameters:
  `text` - Text to append

#### append

    public void append​(java.lang.String textFormat,
                       java.lang.Object... args)

Append text to the activity description

Specified by:
  `append` in interface `IActivityContext.IActivity`
Parameters:
  `textFormat` - Format for text to append
  `args` - Format args

#### end

    public void end()

End this activity and remove it (and any descendants)

Specified by:
  `end` in interface `IActivityContext.IActivity`

#### next

    public void next​(java.lang.String description)

End this activity (and any descendants) and begin the next activity using the same activity handle

Specified by:
  `next` in interface `IActivityContext.IActivity`
Parameters:
  `description` - New activity description

#### next

    public void next​(java.lang.String descriptionFormat,
                     java.lang.Object... args)

End this activity (and any descendants) and begin the next activity using the same activity handle

Specified by:
  `next` in interface `IActivityContext.IActivity`
Parameters:
  `descriptionFormat` - New activity description format
  `args` - New activity description args